% Copyright 2014–2018 by Damien Thiriet
%
% This work may be distributed and/or modified under the
% conditions of the LaTeX Project Public License, either version 1.3
% of this license or (at your option) any later version.
% The latest version of this license is in
% http://www.latex-project.org/lppl.txt
% and version 1.3 or later is part of all distributions of LaTeX
% version 2005/12/01 or later.
%
% This work has the LPPL maintenance status `maintained'.
% 
% The Current Maintainer of this work is Damien Thiriet
%
% This work consists of the files beamerdarkthemesuserguide.tex,
% beamerdarkthemesuserguide.pdf, beamercolorthemecormorant.sty,
% beamercolorthemefrigatebird.sty, beamercolorthememagpie.sty,
% dahut.jpg, img_5630.jpg, example.tex, frigatebirdexampletree.pdf,
% frigatebirdexampledefault.pdf, frigatebirdexamplesidebar.pdf,
% frigatebirdexampleinfolines.pdf, cormorantexampledefault.pdf,
% cormorantexamplesidebar.pdf, cormorantexampleinfolines.pdf,
% cormorantexampletree.pdf, magpieexampledefault.pdf,
% magpieexamplesidebar.pdf, magpieexampleinfolines.pdf,
% magpieexampletree.pdf, makeexamples.sh
%
% img_5630.jpg was taken by Damien Thiriet in the nice Dolina Pięciu
% Stawów near Zakopane, Poland. img_5630.jpg and dahut.jpg and
% example.tex are licenced CC-BY version 4.0 or later.
% You will find a copy of this licence in
% http://creativecommons.org/licenses/by/4.0/legalcode
%
%
% makeexamples.sh is based upon beamerthemesmakeexample.sh, a file that
% could be found in beamer official doc in 2013 (scripts are nowadays
% part of beamer Makefile)
% 
% beamercolorthemeseahorse.sty was used as a canvas 
% when coding beamercolorthememagpie.sty first version.
%
% Package version 0.5.1, 2020-05-10

\mode<presentation>

\colorlet{noir}{black}
\colorlet{blanc}{white}
\definecolor{rouge}{HTML}{750014}
%\colorlet{rouge}{\color[rgb]{117,0,20}}
\colorlet{vert}{green!90!black}
\colorlet{bleu}{blue!90!black}
\definecolor{brightred}{HTML}{ff1423}

\setbeamercolor{background canvas}{bg=blanc}
\setbeamercolor{normal text}{fg=noir,bg=blanc}
\setbeamercolor{structure}{fg=cyan}
\setbeamercolor{alerted text}{fg=orange}

\setbeamercolor{item}{fg=structure.fg}

\setbeamercolor{titlelike}{fg=blanc,bg=rouge}

\setbeamercolor{block title}{bg=rouge!20!blanc,fg=noir}
\setbeamercolor{block body}{bg=noir!5!blanc}
\setbeamercolor{block title alerted}{fg=blanc,bg=purple!55!noir}
\setbeamercolor{block body alerted}{bg=noir!90!blanc}
\setbeamercolor{block title example}{bg=-rouge!45!blanc,fg=blanc}
\setbeamercolor{block body example}{bg=noir!90!blanc}

\setbeamercolor{palette primary}{bg=noir,fg=blanc}
\setbeamercolor{palette secondary}{bg=noir,fg=structure.fg}
\setbeamercolor{palette tertiary}{bg=noir,fg=alerted text.fg}
\setbeamercolor{palette quaternary}{use=item,bg=noir,fg=rouge!20!blanc}

\setbeamercolor{sidebar}{use=block body, bg=block body.bg}
\setbeamercolor{palette sidebar primary}{use=titlelike, bg=titlelike.bg, fg=titlelike.fg}
\setbeamercolor{section in sidebar}{use=titlelike, fg=titlelike.fg, bg=titlelike.bg}
\setbeamercolor{section in sidebar shaded}{ fg=rouge!20!blanc}
\setbeamercolor{section in head/foot shaded}{fg=rouge!20!blanc}
\setbeamercolor{subsection in sidebar}{use=titlelike, fg=titlelike.fg, bg=titlelike.bg}
\setbeamercolor{subsection in sidebar shaded}{fg=rouge!20!blanc}
\setbeamercolor{subsection in head/foot shaded}{fg=rouge!20!blanc}

\setbeamercolor{logo}{use=block title, bg=block title.bg}
\setbeamercolor{separation line}{fg=blanc,bg=blanc}

\setbeamercolor{navigation symbols}{fg=white!50!black}

\mode<all>
